View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000667aMuleSharedfilespublic2005-11-21 22:462005-11-23 02:13
ReporterkiM 
Assigned ToXaignar 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target VersionFixed in VersionSVN 
Summary0000667: aMule crashes while hashing a corrupted file
DescriptionaMule crashes when hashing (or when reading, indexing or whatever it does in the first few seconds aMule runs) a corrupted temp (part) file. The file is (was) 3Go big.
Additional InformationI'm using aMule 2.0.3-CVS-20051110.
I am using emule on win32 "simultaneously" in the same directory (a FAT32 for compatibility).
I use Debian with Gnome, partly stable (debian 3.1), partly testing.

I solved the bug by removing the corrupted temporary file.
(I saw it was corrupted as Win32 emule doesn't list the given file in the Transfer window despite it is in the temporary directory.)

Note that since I removed the part file I am not bothered anymore, so useless to keep me informed, I am just reporting the bug to help you build a nice and stable linux proggy :-)


Here follow the backtraces. Keep on the good work...
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Filestxt file icon amule CVS20051110-plantage-01-hash-gdb.txt [^] (2,606 bytes) 2005-11-21 22:46 [Show Content]
txt file icon amule CVS20051110-plantage-01-hash-bt.txt [^] (517 bytes) 2005-11-21 22:47 [Show Content]
txt file icon amule CVS20051110-plantage-01-hash-bt_full.txt [^] (753 bytes) 2005-11-21 22:48 [Show Content]
txt file icon amule CVS20051110-plantage-01-hash-thread.txt [^] (2,656 bytes) 2005-11-21 22:48 [Show Content]

- Relationships

-  Notes
(0001501)
Xaignar (manager)
2005-11-22 16:05
edited on: 2005-11-22 16:06

What is the size of the file in question?

EDIT: Opps, nevermind, missed that.

edited on: 11-22-05 16:06
(0001502)
Xaignar (manager)
2005-11-22 16:11

Do you still have the corrupted file? I need to know if you can test a fix
(0001506)
kiM (reporter)
2005-11-22 23:22

No sorry I don't have it anymore (almost satured hard drive...)

Next time I'll try to be less stupid ;-)
(0001508)
Xaignar (manager)
2005-11-23 02:13

I have changed this error from being fatal, so in the future, instead of terminating, aMule will consider it to be an IO error and act accordingly.

- Issue History
Date Modified Username Field Change
2005-11-21 22:46 kiM New Issue
2005-11-21 22:46 kiM File Added: amule CVS20051110-plantage-01-hash-gdb.txt
2005-11-21 22:47 kiM File Added: amule CVS20051110-plantage-01-hash-bt.txt
2005-11-21 22:48 kiM File Added: amule CVS20051110-plantage-01-hash-bt_full.txt
2005-11-21 22:48 kiM File Added: amule CVS20051110-plantage-01-hash-thread.txt
2005-11-22 16:05 Xaignar Note Added: 0001501
2005-11-22 16:06 Xaignar Note Edited: 0001501
2005-11-22 16:11 Xaignar Note Added: 0001502
2005-11-22 16:32 Xaignar Status new => assigned
2005-11-22 16:32 Xaignar Assigned To => Xaignar
2005-11-22 23:22 kiM Note Added: 0001506
2005-11-23 02:13 Xaignar Status assigned => resolved
2005-11-23 02:13 Xaignar Fixed in Version => CVS
2005-11-23 02:13 Xaignar Resolution open => fixed
2005-11-23 02:13 Xaignar Note Added: 0001508


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker